//**********************************************************************
// CRhsADOException
// =================
//
// Class to encapsulate an ADO Exception
//
// John Rennie
// jrennie@cix.compulink.co.uk
// 15th November 1998
//**********************************************************************

#ifndef STRICT
#define STRICT
#endif

#include <windows.h>
#include "RhsADO.h"


//**********************************************************************
// CRhsADOException::CRhsADOException
// ----------------------------------
// Create the exception object and initialise it
//**********************************************************************

CRhsADOException::CRhsADOException(int ErrNum, const char* ErrStr)
{
  Err = ErrNum;
  lstrcpyn(Error, ErrStr ? ErrStr : "", 255);
}


//**********************************************************************
// CRhsADOException::GetError
// --------------------------
// Get the error from the supplied connection object
//**********************************************************************

const char* CRhsADOException::GetError(CRhsADOConnection& Connection)
{
  Err = -1;
  Connection.GetLastError(Error, 255);
  return Error;
}


